<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="636700EBB0SA4501AT18-2025-12-31.xsd#lastik_MaterialsAndServices" xlink:label="lastik_MaterialsAndServices" />
    <loc xlink:type="locator" xlink:href="636700EBB0SA4501AT18-2025-12-31.xsd#lastik_OthernoncurrentAssets" xlink:label="lastik_OthernoncurrentAssets" />
    <loc xlink:type="locator" xlink:href="636700EBB0SA4501AT18-2025-12-31.xsd#lastik_CashPoolReceivablesFromRelatedParties" xlink:label="lastik_CashPoolReceivablesFromRelatedParties" />
    <loc xlink:type="locator" xlink:href="636700EBB0SA4501AT18-2025-12-31.xsd#lastik_InvestedUnrestrictedEquityReserve" xlink:label="lastik_InvestedUnrestrictedEquityReserve" />
    <loc xlink:type="locator" xlink:href="636700EBB0SA4501AT18-2025-12-31.xsd#lastik_InvestedEquity" xlink:label="lastik_InvestedEquity" />
    <loc xlink:type="locator" xlink:href="636700EBB0SA4501AT18-2025-12-31.xsd#lastik_CashPoolLiabilitiesToRelatedParties" xlink:label="lastik_CashPoolLiabilitiesToRelatedParties" />
    <loc xlink:type="locator" xlink:href="636700EBB0SA4501AT18-2025-12-31.xsd#lastik_NetCashFlowFromOperatingAndInvestingActivities" xlink:label="lastik_NetCashFlowFromOperatingAndInvestingActivities" />
    <loc xlink:type="locator" xlink:href="636700EBB0SA4501AT18-2025-12-31.xsd#lastik_CashPoolFinancingWithTheFormerLassilaTikanoja" xlink:label="lastik_CashPoolFinancingWithTheFormerLassilaTikanoja" />
    <loc xlink:type="locator" xlink:href="636700EBB0SA4501AT18-2025-12-31.xsd#lastik_EquityFinancingWithTheFormerLassilaTikanoja" xlink:label="lastik_EquityFinancingWithTheFormerLassilaTikanoja" />
    <loc xlink:type="locator" xlink:href="636700EBB0SA4501AT18-2025-12-31.xsd#lastik_InvestedEquityAndRetainedEarningsMember" xlink:label="lastik_InvestedEquityAndRetainedEarningsMember" />
    <loc xlink:type="locator" xlink:href="636700EBB0SA4501AT18-2025-12-31.xsd#lastik_InvestedUnrestrictedEquityReserveMember" xlink:label="lastik_InvestedUnrestrictedEquityReserveMember" />
    <loc xlink:type="locator" xlink:href="636700EBB0SA4501AT18-2025-12-31.xsd#lastik_EquityTransactionsWithTheFormerLassilaTikanojaGroup" xlink:label="lastik_EquityTransactionsWithTheFormerLassilaTikanojaGroup" />
    <loc xlink:type="locator" xlink:href="636700EBB0SA4501AT18-2025-12-31.xsd#lastik_Demerger" xlink:label="lastik_Demerger" />
    <labelArc xlink:type="arc" xlink:from="lastik_MaterialsAndServices" xlink:to="label_lastik_lastikMaterialsAndServices_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lastik_OthernoncurrentAssets" xlink:to="label_lastik_lastikOthernoncurrentAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lastik_CashPoolReceivablesFromRelatedParties" xlink:to="label_lastik_lastikCashPoolReceivablesFromRelatedParties_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lastik_InvestedUnrestrictedEquityReserve" xlink:to="label_lastik_lastikInvestedUnrestrictedEquityReserve_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lastik_InvestedEquity" xlink:to="label_lastik_lastikInvestedEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lastik_CashPoolLiabilitiesToRelatedParties" xlink:to="label_lastik_lastikCashPoolLiabilitiesToRelatedParties_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lastik_NetCashFlowFromOperatingAndInvestingActivities" xlink:to="label_lastik_lastikNetCashFlowFromOperatingAndInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lastik_CashPoolFinancingWithTheFormerLassilaTikanoja" xlink:to="label_lastik_lastikCashPoolFinancingWithTheFormerLassilaTikanoja_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lastik_EquityFinancingWithTheFormerLassilaTikanoja" xlink:to="label_lastik_lastikEquityFinancingWithTheFormerLassilaTikanoja_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lastik_InvestedEquityAndRetainedEarningsMember" xlink:to="label_lastik_InvestedEquityAndRetainedEarningsMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lastik_InvestedUnrestrictedEquityReserveMember" xlink:to="label_lastik_InvestedUnrestrictedEquityReserveMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lastik_EquityTransactionsWithTheFormerLassilaTikanojaGroup" xlink:to="label_lastik_lastikEquityTransactionsWithTheFormerLassilaTikanojaGroup_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="lastik_Demerger" xlink:to="label_lastik_lastikDemerger_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_lastik_lastikMaterialsAndServices_Standard" id="lastik_lastikMaterialsAndServices_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Materials and services</label>
    <label xlink:label="label_lastik_lastikOthernoncurrentAssets_Standard" id="lastik_lastikOthernoncurrentAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Total other non-current assets</label>
    <label xlink:label="label_lastik_lastikCashPoolReceivablesFromRelatedParties_Standard" id="lastik_lastikCashPoolReceivablesFromRelatedParties_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash-pool receivables from related parties</label>
    <label xlink:label="label_lastik_lastikInvestedUnrestrictedEquityReserve_Standard" id="lastik_lastikInvestedUnrestrictedEquityReserve_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Invested unrestricted equity reserve</label>
    <label xlink:label="label_lastik_lastikInvestedEquity_Standard" id="lastik_lastikInvestedEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Invested equity</label>
    <label xlink:label="label_lastik_lastikCashPoolLiabilitiesToRelatedParties_Standard" id="lastik_lastikCashPoolLiabilitiesToRelatedParties_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash-pool liabilities to related parties</label>
    <label xlink:label="label_lastik_lastikNetCashFlowFromOperatingAndInvestingActivities_Standard" id="lastik_lastikNetCashFlowFromOperatingAndInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net cash from operating and investing activities</label>
    <label xlink:label="label_lastik_lastikCashPoolFinancingWithTheFormerLassilaTikanoja_Standard" id="lastik_lastikCashPoolFinancingWithTheFormerLassilaTikanoja_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash pool financing with the former Lassila &amp; Tikanoja</label>
    <label xlink:label="label_lastik_lastikEquityFinancingWithTheFormerLassilaTikanoja_Standard" id="lastik_lastikEquityFinancingWithTheFormerLassilaTikanoja_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Equity financing with the former Lassila &amp; Tikanoja, net</label>
    <label xlink:label="label_lastik_InvestedEquityAndRetainedEarningsMember" id="lastik_InvestedEquityAndRetainedEarningsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Invested equity and retained earnings</label>
    <label xlink:label="label_lastik_InvestedUnrestrictedEquityReserveMember" id="lastik_InvestedUnrestrictedEquityReserveMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Invested unrestricted equity reserve</label>
    <label xlink:label="label_lastik_lastikEquityTransactionsWithTheFormerLassilaTikanojaGroup_Standard" id="lastik_lastikEquityTransactionsWithTheFormerLassilaTikanojaGroup_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Equity transactions with the former Lassila &amp; Tikanoja Group</label>
    <label xlink:label="label_lastik_lastikDemerger_Standard" id="lastik_lastikDemerger_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Demerger</label>
  </labelLink>
</linkbase>